资产
用户资产查询(多币种)
POST
/
platformapi
/
chainup
/
open
/
ouser
/
userAccounts
curl --request POST \
--url http://service.xxx.com/platformapi/chainup/open/ouser/userAccounts
{
"code": "0",
"msg": "Success",
"data": {
"BTCPrecision": "btc8",
"accounts": [
{
"uid": "202113",
"balance": "1000",
"tag": "",
"type": "2021101"
},
{
"uid": "202113",
"balance": "1000",
"tag": "",
"type": "2021101"
}
],
"USDTPrecision": "usdt8"
}
}
Query Parameters
appKey
string
required商家唯一appKey
Example: xxx_xxx
openId
string
收款用户的唯一id,开放平台授权给应用的用户唯一标识
userId
string
收款用户uid(与openid必须存在一个) ||同时存在优先取openid
coinSymbols
string
required货币类型:如 :BTC、USDT、BIKI、等;参考交易所内币种配置;多个币种用逗号分隔:例:"USDT,BTC,ETH"
assetType
string
常用类型:"201" :普通账户余额
Example: 201
sign
string
required签名
Example: 2ae04ed9165624419bad68e9e0f3f2sa9fbd2ae04ed916511624419bad68e9e20f3f29fbd
Response
200 - application/json
code
string
返回code
Example: 0
msg
string
成功或失败提示信息
Example: Success
data
object
curl --request POST \
--url http://service.xxx.com/platformapi/chainup/open/ouser/userAccounts
{
"code": "0",
"msg": "Success",
"data": {
"BTCPrecision": "btc8",
"accounts": [
{
"uid": "202113",
"balance": "1000",
"tag": "",
"type": "2021101"
},
{
"uid": "202113",
"balance": "1000",
"tag": "",
"type": "2021101"
}
],
"USDTPrecision": "usdt8"
}
}